
#include <avr/pgmspace.h>

//----------------------------|         |         |         |< максимальная длинна заголовка профиля
const char ProfN0[] PROGMEM = "СНЯТИЕ ЧИПА БЕССВИНЕЦ";      // 1 - заголовок профиля 30 символов
const char ProfN1[] PROGMEM = "СНЯТИЕ ЧИПА СВИНЕЦ";        	// 2 - заголовок профиля 30 символов
const char ProfN2[] PROGMEM = "УСТАНОВКА ЧИПА БЕССВИНЕЦ";	    // 3 - заголовок профиля 30 символов
const char ProfN3[] PROGMEM = "УСТАНОВКА ЧИПА СВИНЕЦ";		      // 4 - заголовок профиля 30 символов
const char ProfN4[] PROGMEM = "НИЖНИЙ ПОДОГРЕВ";  		      // 5 - заголовок профиля 30 символов
const char ProfN5[] PROGMEM = "СНЯТИЕ ЧИПА БЕССВИНЕЦ 5";		    // 6 - заголовок профиля 30 символов
const char ProfN6[] PROGMEM = "СНЯТИЕ ЧИПА БЕССВИНЕЦ 6";		    // 7 - заголовок профиля 30 символов
const char ProfN7[] PROGMEM = "СНЯТИЕ ЧИПА БЕССВИНЕЦ 7";		    // 8 - заголовок профиля 30 символов
const char ProfN8[] PROGMEM = "СНЯТИЕ ЧИПА БЕССВИНЕЦ 8";		    // 9 - заголовок профиля 30 символов     
const char ProfN9[] PROGMEM = "СНЯТИЕ ЧИПА СВИНЕЦ 9";          //10 - заголовок профиля 30 символов	
const char* const AdrProfN[10] PROGMEM ={ ProfN0, ProfN1, ProfN2, ProfN3, ProfN4,  // адреса констант-заголовков	
                                ProfN5, ProfN6, ProfN7, ProfN8, ProfN9}; 
                                
const unsigned char ProfDate[10][28] PROGMEM = {
{ 1,						      // 1 - номер профиля, от 1 до 10
	2,						      // 2 - размер низа
	130,					      // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
	5,	90,					    // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
	10,	11,	12,   			// 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
	160, 185, 225,    	// 8 - 3пар - температура верха по шагам
	20,	25,	30,     		// 9 - 3пар - время перехода на следующий шаг  в сек 
	30,	31,	32,   			// 10 - 3пар - min мощности по шагам в %
	90,	91,	92,   			// 11 - 3пар - max мощности по шагам в %
	30,	 5,	76, 			  // 12 - 3пар - коэф ПИД 1 верха
	15,	 9,	85				  // 13 - 3пар - коэф ПИД 2 низа
},
{ 2,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 3,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 4,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 5,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 6,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 7,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 8,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 9,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
},
{ 10,                  // 1 - номер профиля, от 1 до 10
  2,                  // 2 - размер низа
  130,                // 3 - температура низа в градусах
  7,                  // 4 - скорость нагрева низа (увелчена в 10 раз)
  5,  90,             // 5 - 2пар - мощность низа в % min:max
  3,                  // 6 - количество шагов профиля
  10, 11, 12,         // 7 - 3пар - скорость нагрева верхом по шагам (увелчена в 10 раз)
  160, 185, 225,      // 8 - 3пар - температура верха по шагам
  20, 25, 30,         // 9 - 3пар - время перехода на следующий шаг  в сек 
  30, 31, 32,         // 10 - 3пар - min мощности по шагам в %
  90, 91, 92,         // 11 - 3пар - max мощности по шагам в %
  30,  5, 76,         // 12 - 3пар - коэф ПИД 1 верха
  15,  9, 85          // 13 - 3пар - коэф ПИД 2 низа
}
};
